import { useState } from 'react';

export default function useToken() {
  const getToken = () => {
    const tokenString = sessionStorage.getItem('token');
    if (!tokenString)
        return null;
    const userToken = JSON.parse(tokenString);
    if (userToken.user != null)
        return tokenString;
    return null;
  };

  const [token, setToken] = useState(getToken());

  const saveToken = userToken => {
    sessionStorage.setItem('token', JSON.stringify(userToken.data));
    setToken(userToken.token);
  };

  return {
    setToken: saveToken,
    token
  }
}